# TdApi.SuggestedAction (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SuggestedAction

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SuggestedAction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SuggestedAction

Direct Known Subclasses:
  `TdApi.SuggestedActionCheckPassword`, `TdApi.SuggestedActionCheckPhoneNumber`, `TdApi.SuggestedActionConvertToBroadcastGroup`, `TdApi.SuggestedActionEnableArchiveAndMuteNewChats`, `TdApi.SuggestedActionSetPassword`, `TdApi.SuggestedActionSubscribeToAnnualPremium`, `TdApi.SuggestedActionUpgradePremium`, `TdApi.SuggestedActionViewChecksHint`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.SuggestedAction extends TdApi.Object permits TdApi.SuggestedActionEnableArchiveAndMuteNewChats, TdApi.SuggestedActionCheckPassword, TdApi.SuggestedActionCheckPhoneNumber, TdApi.SuggestedActionViewChecksHint, TdApi.SuggestedActionConvertToBroadcastGroup, TdApi.SuggestedActionSetPassword, TdApi.SuggestedActionUpgradePremium, TdApi.SuggestedActionSubscribeToAnnualPremium
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`SuggestedAction()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SuggestedAction

public SuggestedAction()